Ubuntu

1002:9612 [HP Pavilion tx2500 Notebook PC] ATI card fan is always on with opensource radeon driver

Reported by Vitaly Zawullon Katraev on 2011-04-02
282
This bug affects 56 people
Affects Status Importance Assigned to Milestone
xserver-xorg-driver-ati
Confirmed
High
linux (Ubuntu)
Medium
Unassigned

Bug Description

$ cat /sys/class/drm/card0/device/power_profile
low

When I use the opensource driver for my ATI card the notebook fan is always spinning and temperature of outgoing air from fan is very high, even when I set /sys/class/drm/card0/device/power_profile to low and cpu mode to powersave. With proprietary drivers (fglrx) I set video card performance to "ondemand" (I forgot the exact name of this mode in ATI control center) and cpu mode to ondemand, and the notebook isn't hot, fans are not spinning (if I don't start flash, games or some similar app with high cpu load). So with fglrx I can use the notebook on battery for 1.5 - 2 hours and it's not hot, but with the opensource driver notebook on battery is dead in 50 minutes, the fan is always on, it noise is loud, and the notebook is very hot.

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: xserver-xorg-video-radeon 1:6.14.0-0ubuntu4
ProcVersionSignature: Ubuntu 2.6.38-7.39-generic 2.6.38
Uname: Linux 2.6.38-7-generic i686
NonfreeKernelModules: wl
Architecture: i386
CompizPlugins: [core,bailer,detection,composite,opengl,imgjpeg,compiztoolbox,decor,snap,move,grid,mousepoll,regex,gnomecompat,winrules,resize,vpswitch,staticswitcher,imgpng,imgsvg,place,text,wall,shift,unitymtgrabhandles,animation,expo,session,workarounds,fade,scale,unityshell]
CompositorRunning: compiz
DRM.card0.DIN.1:
 status: disconnected
 enabled: disabled
 dpms: On
 modes:
 edid-base64:
DRM.card0.LVDS.1:
 status: connected
 enabled: enabled
 dpms: On
 modes: 1280x800 1280x720 1152x768 1024x768 800x600 848x480 720x480 640x480
 edid-base64: AP///////wBMo0FIAAAAAAARAQOAGhB4Cof1lFdPjCcnUFQAAAABAQEBAQEBAQEBAQEBAQEBEhsAh1AgEDAQMBMABaMQAAAZAAAADwAAAAAAAAAAACOHAmQAAAAA/gBTQU1TVU5HCiAgICAgAAAA/gAxMjFBVDAyLTAwMQogACs=
DRM.card0.VGA.1:
 status: disconnected
 enabled: disabled
 dpms: On
 modes:
 edid-base64:
Date: Sat Apr 2 11:22:18 2011
DistUpgraded: Fresh install
DistroCodename: natty
DistroVariant: ubuntu
DkmsStatus: bcmwl, 5.100.82.38+bdcom, 2.6.38-7-generic, i686: installed
GraphicsCard:
 ATI Technologies Inc RS780M/RS780MN [Radeon HD 3200 Graphics] [1002:9612] (prog-if 00 [VGA controller])
   Subsystem: Hewlett-Packard Company Device [103c:30f1]
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Beta 1 i386 (20110329.1)
MachineType: Hewlett-Packard HP Pavilion tx2500 Notebook PC
ProcEnviron:
 LANGUAGE=ru_RU:en
 LANG=ru_RU.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.38-7-generic root=UUID=3f65bc34-e565-469c-bde1-e492cfd241ad ro quiet splash vt.handoff=7
Renderer: Unknown
SourcePackage: xserver-xorg-video-ati
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 08/18/2009
dmi.bios.vendor: Hewlett-Packard
dmi.bios.version: F.0F
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.name: 30F1
dmi.board.vendor: Quanta
dmi.board.version: 97.22
dmi.chassis.type: 10
dmi.chassis.vendor: Quanta
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnHewlett-Packard:bvrF.0F:bd08/18/2009:svnHewlett-Packard:pnHPPaviliontx2500NotebookPC:pvrRev1:rvnQuanta:rn30F1:rvr97.22:cvnQuanta:ct10:cvrN/A:
dmi.product.name: HP Pavilion tx2500 Notebook PC
dmi.product.version: Rev 1
dmi.sys.vendor: Hewlett-Packard
version.compiz: compiz 1:0.9.4git20110322-0ubuntu5
version.libdrm2: libdrm2 2.4.23-1ubuntu5
version.libgl1-mesa-glx: libgl1-mesa-glx 7.10.1-0ubuntu3
version.xserver-xorg: xserver-xorg 1:7.6~3ubuntu11
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.0-0ubuntu4
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.14.0-4ubuntu4
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20110107+b795ca6e-0ubuntu6

Bryce Harrington (bryce) wrote :

Please provide a more detailed explanation of the problem.

Changed in xserver-xorg-video-ati (Ubuntu):
status: New → Incomplete

When i use opensource driver for ATI card - notebook fan always spinning and themperature of outgoing from fan air is very high, even when I set /sys/class/drm/card0/device/power_profile to low and cpu mode to powersave. With proprietary drivers (fglrx) I set video card performance to "ondemand" (I forgot the exact name of this mode in ATI control center) and cpu mode to ondemand, and notebook isn`t hot, fans not spinning (if I not start flash, games or some similar app with high cpu load). So with fglrx I can use notebook from battery 1,5-2 hours and it`s not hot, but with opensource driver battery of notebook is down in 50 minutes, fan is olways on, it noise is loud, and notebook is very hot.

On Wed, Apr 06, 2011 at 06:22:41AM -0000, Vitaly Zawullon Katraev wrote:
> When i use opensource driver for ATI card - notebook fan always spinning
> and themperature of outgoing from fan air is very high, even when I set
> /sys/class/drm/card0/device/power_profile to low and cpu mode to
> powersave. With proprietary drivers (fglrx) I set video card performance
> to "ondemand" (I forgot the exact name of this mode in ATI control
> center) and cpu mode to ondemand, and notebook isn`t hot, fans not
> spinning (if I not start flash, games or some similar app with high cpu
> load). So with fglrx I can use notebook from battery 1,5-2 hours and
> it`s not hot, but with opensource driver battery of notebook is down in
> 50 minutes, fan is olways on, it noise is loud, and notebook is very
> hot.

Great, thanks. Also, when did you first start noticing this issue with
the open source driver? (Or has it always been this way with your
hardware when running this driver?)

Fwiw, I think this may be a known issue with -ati. (I've burnt out a
card or two due to this or a similar issue myself.)

Yes, this tissue present in open source driver all time, when I use it (several recent Ubuntu releases). So it isn`t regression.
And yes again, I think, that it is known issue. I've long been hearing, that powersave support with ATI cards in open source driver is partial. But fglrx not work with Unity yet...

Bryce Harrington (bryce) on 2011-04-15
Changed in xserver-xorg-video-ati (Ubuntu):
status: Incomplete → Confirmed
importance: Undecided → Medium
Bryce Harrington (bryce) on 2011-04-20
description: updated
Download full text (3.7 KiB)

Forwarding this bug from Ubuntu reporter Vitaly Zawullon Katraev:
http://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-ati/+bug/748080

[Problem]
ATI card fan is always on with opensource radeon driver

[Original Description]
$ cat /sys/class/drm/card0/device/power_profile
low

When I use the opensource driver for my ATI card the notebook fan is always spinning and temperature of outgoing air from fan is very high, even when I set /sys/class/drm/card0/device/power_profile to low and cpu mode to powersave. With proprietary drivers (fglrx) I set video card performance to "ondemand" (I forgot the exact name of this mode in ATI control center) and cpu mode to ondemand, and the notebook isn't hot, fans are not spinning (if I don't start flash, games or some similar app with high cpu load). So with fglrx I can use the notebook on battery for 1.5 - 2 hours and it's not hot, but with the opensource driver notebook on battery is dead in 50 minutes, the fan is always on, it noise is loud, and the notebook is very hot.

DistroRelease: Ubuntu 11.04
Package: xserver-xorg-video-radeon 1:6.14.0-0ubuntu4
ProcVersionSignature: Ubuntu 2.6.38-7.39-generic 2.6.38
Uname: Linux 2.6.38-7-generic i686
NonfreeKernelModules: wl
Architecture: i386
CompizPlugins: [core,bailer,detection,composite,opengl,imgjpeg,compiztoolbox,decor,snap,move,grid,mousepoll,regex,gnomecompat,winrules,resize,vpswitch,staticswitcher,imgpng,imgsvg,place,text,wall,shift,unitymtgrabhandles,animation,expo,session,workarounds,fade,scale,unityshell]
CompositorRunning: compiz
DRM.card0.DIN.1:
status: disconnected
enabled: disabled
dpms: On
modes:
edid-base64:
DRM.card0.LVDS.1:
status: connected
enabled: enabled
dpms: On
modes: 1280x800 1280x720 1152x768 1024x768 800x600 848x480 720x480 640x480
edid-base64: AP///////wBMo0FIAAAAAAARAQOAGhB4Cof1lFdPjCcnUFQAAAABAQEBAQEBAQEBAQEBAQEBEhsAh1AgEDAQMBMABaMQAAAZAAAADwAAAAAAAAAAACOHAmQAAAAA/gBTQU1TVU5HCiAgICAgAAAA/gAxMjFBVDAyLTAwMQogACs=
DRM.card0.VGA.1:
status: disconnected
enabled: disabled
dpms: On
modes:
edid-base64:
Date: Sat Apr 2 11:22:18 2011
DistUpgraded: Fresh install
DistroCodename: natty
DistroVariant: ubuntu
DkmsStatus: bcmwl, 5.100.82.38+bdcom, 2.6.38-7-generic, i686: installed
GraphicsCard:
ATI Technologies Inc RS780M/RS780MN [Radeon HD 3200 Graphics] [1002:9612] (prog-if 00 [VGA controller])
Subsystem: Hewlett-Packard Company Device [103c:30f1]
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Beta 1 i386 (20110329.1)
MachineType: Hewlett-Packard HP Pavilion tx2500 Notebook PC
ProcEnviron:
LANGUAGE=ru_RU:en
LANG=ru_RU.UTF-8ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.38-7-generic root=UUID=3f65bc34-e565-469c-bde1-e492cfd241ad ro quiet splash vt.handoff=7
Renderer: Unknown
SourcePackage: xserver-xorg-video-ati
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 08/18/2009
dmi.bios.vendor: Hewlett-Packard
dmi.bios.version: F.0F
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.name: 30F1
dmi.board.vendor: Quanta
dmi.board.version: 97.22
dmi.chassis.type: 10
dmi.chassis.vendor: Quanta
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnHewlett-Packard:bvrF.0F:bd08/18/2009:svnHewlett-Packard:pnHPPaviliontx2500Notebo...

Read more...

Created attachment 45876
BootDmesg.txt

Created attachment 45877
CurrentDmesg.txt

Created attachment 45878
XorgLog.txt

Bryce Harrington (bryce) wrote :

Vitaly Zawullon Katraev - I've forwarded this bug upstream to http://bugs.freedesktop.org/show_bug.cgi?id=36438 - please subscribe yourself to this bug, in case they need further information or wish you to test something. Thanks ahead of time!

Changed in xserver-xorg-video-ati (Ubuntu):
status: Confirmed → Triaged
Changed in xserver-xorg-driver-ati:
importance: Unknown → Medium
status: Unknown → Confirmed

Bryce Harrington> Done. Thank you.

Robert Hooker (sarvatt) on 2011-05-02
affects: xserver-xorg-video-ati (Ubuntu) → linux (Ubuntu)

I, too, suffer from this exact problem with an ATI Radeon HD 4200 (on a Dell Inspiron M301Z). Do you need any information to help you?

Tobias Lipper made on the downstream Fedora bugs these comments which shouldn't be lost IMHO in the mist of time:

I found a patch in the upstream kernel that fixes the termal reading for amd
juniper cards. This could be the source of the error.

I am not so familiar with kernel development, but I will try the patch and see
if it fixes the problem.

http://git.kernel.org/?p=linux/kernel/git/next/linux-next.git;a=blobdiff;f=drivers/gpu/drm/radeon/evergreen.c;h=8f446aadccd660f49854d4aadad109bdd559f95d;hp=34cd5a878088b19f65a87cffd9c491cdd31ae0c2;hb=67b3f823ec78d08aea8835bce2655674237abc1d;hpb=457558eda1545c22163574f6dbb883394705e9dd

----------------------------

I could apply the patch and the module compiles fine, but I found that

su -c 'echo low > /sys/class/drm/card0/device/power_profile'

fixes the problem even without the patch. (at least it turns down the fan to
regular)

See the "KMS Power Management Options" section of this page:
http://wiki.x.org/wiki/RadeonFeature

This bug affects me too, since Ubuntu 10.04 "Lucid Lynx".

I am now using Ubuntu 11.04 and the bug is still present, so I decided to use the fglrx driver to speed down the fan.

I installed Ubuntu 11.10 alpha 3, and the issue is still present.

This bug affects me too. Second thing is that I can't use fglrx because it's not working with my graphics card (4830 on hp envy notebook).

(In reply to comment #6)
> See the "KMS Power Management Options" section of this page:
> http://wiki.x.org/wiki/RadeonFeature

I have Mobility Radeon HD 3650 and I'm seeing this problem aswell.

The default power_profile called "default" makes the laptop overheat and causes emergency thermal shutdowns and crashes.

This happens at least with Linux 2.6.35, 2.6.38 and 3.0.0. I've tried with Fedora 14, 15 and 16 alpha.

Changing the power_profile to "low" makes the temperature go down at least 10-20 degrees celsius.

Any idea why the default profile doesn't work?

dynpm echo> / sys/class/drm/card0/device/power_method
dynamically changes the frequency, but act like it was moving between mid and high

If there were an option, in addition, similar to dynpm but that could change from low to mid / high this might solve the problem

of course I meant to write the command

echo dynpm > / sys/class/drm/card0/device/power_method

Hello everybody,
I saw two bugs which are a bit related to each other to my knowledge.
I decided to post my comment in this bug report.
My laptop a MSI GX623 equipped with an Ati Mobility Radeon HD4670.
The problem has been around from the moment I bought my computer (5 Dec. 2009).
Currently I'm using Ubuntu 11.10, with Xorg-edgers ppa and kernel version 3.1-rc4.
When the computer is cleanly installed the power profile of the video card is always defaulted to default.
When leaving it on this profile, and not even touching my laptop the computer starts overheating, and after 10 to 15 minutes powers down due to thermal protection.

To solve my problem I started to experiment with some power management settings.
Using dynpm is no option for me at this moment, because of the flickering screen bug.
So I've experimented with some other power management options.
First I tried auto, with this my laptop doesn't overheat when nothing is running. When I start some task which makes use of the video-card, my computer switches to high profile, and starts overheating again with the same problem mentioned above.
Also when forced to profile high my computer overheats and shuts down.
In the forced mid profile the computer can be used without problems, but again when using the laptop for example to watch a movie, my computer overheats again and shuts down.
The only profile in which I don't have problems is low, but then my video card is clocked down to minimal capability.
Hopefully the developers can make use of my findings.
Also when I need to provide some extra information, then you can just ask me what you would like me to do.
Greetings Jasper

Changed in xserver-xorg-driver-ati:
importance: Medium → Critical

(In reply to comment #10)
> When the computer is cleanly installed the power profile of the video card is
> always defaulted to default.
> When leaving it on this profile, and not even touching my laptop the computer
> starts overheating, and after 10 to 15 minutes powers down due to thermal
> protection.
>

Yep, the radeon default power_profile "default" is broken.

Any comments from the developers? What needs to be done to get this issue fixed?

(In reply to comment #11)
> (In reply to comment #10)
> > When the computer is cleanly installed the power profile of the video card is
> > always defaulted to default.
> > When leaving it on this profile, and not even touching my laptop the computer
> > starts overheating, and after 10 to 15 minutes powers down due to thermal
> > protection.
> >
>
> Yep, the radeon default power_profile "default" is broken.
>
> Any comments from the developers? What needs to be done to get this issue
> fixed?
>

Ping ?

Andrea Amoroso (heiko81) wrote :

The bug affects me too..ati 5470 with radeon open-source driver..Ubuntu 11.10..
with the proprietary driver the fan slows a lot, but I can't run Unity 3d, just the 2d..
I had this problem from Ubuntu 11.04, like one or two months ago, not more..
so for me I think that there was a regression in the driver..

Eugenio Perea (eugenio-perea) wrote :

These bugs seem to be the same thing:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/576428 and
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/563156

The upstream bug report at https://bugs.freedesktop.org/show_bug.cgi?id=36438 is still classified as NEW and shows no developer activity at all, despite confirmation from both the Ubuntu and Fedora communities.

What should we do to get information on the status of the bug?

Chen Chen (aflyhorse) wrote :

It's a bug since karmic, which will never be fixed. Everybody instructes you to switch to 'low' and 'dynpm' ;)

timuckun (timuckun) wrote :

How do we switch to "low" and "dynpm"

Julien Olivier (julo) wrote :

Chen Chen: why would it never be fixed?

Simon Déziel (sdeziel) wrote :

@timuckun, to switch to "dynpm" :

echo dynpm > / sys/class/drm/card0/device/power_method

This is from https://bugs.freedesktop.org/show_bug.cgi?id=36438#c9

Eugenio Perea (eugenio-perea) wrote :

That bug report has a link to this: http://wiki.x.org/wiki/RadeonFeature.
Scroll down to the KMS Power Management Options for a more complete explanation of the options.

Then, do: $ cat /sys/class/drm/card0/device/power_method to check what method you're machine is using
It will very probably answer 'profile'

If so, you can change the content of /sys/class/drm/card0/device/power_profile to low, mid, auto and see what happens. I did that two days ago, and it's worked very well so far.

I haven't modified the necessary config files to make the change persistent through reboots, though. I mean, this method is like putting a ball & chain on your leg to keep you from running, and I'd like to do some experimenting first, perhaps even dynpm, once I understand a bit more of how that might affect things.

Chen: Why do you say it won't be fixed?

Chen Chen (aflyhorse) wrote :

I was once an active participator in the debian and gentoo forum, and relating to this bug, every answer I got is just switch to the profile you are using manually, or change it in sysinit. Another similar bug I have asked is that the sound-card driver always misread the hardware as another, and then the headphone and notepad speaker will have the same volume control (they will mute or speak at the same time). I have to rebuild the alsa and specify the model I want to use manually.
Why I said it won't be fixed is that the developers don't concern it as a severe bug. You can just fix it after several simply tapping, and the developers are busy with more important projects such as Video Decode, MSAA and OpenCL, so they cannot spare a large amount of time dealing with this minor fault, which may needs a thoroughly deep scanning of the whole codes.
That's why I said this sentence. Sorry it sounds too radicalism. Some other bugs are also observed but never got fixed, like https://bugs.launchpad.net/ubuntu/+source/consolekit/+bug/148454, confirmed in freedesktop, launchpad, debian and kernel bugzilla. We can only count on a perfectionist to do that I think.

timuckun (timuckun) wrote :

Setting /sys/class/drm/card0/device/power_profile to low helped a little but the fan still runs faster than with the proprietary driver and revs frequently.

Come on! At least tell us if someone is working on it, or if you need for information.

I know it's rude to spam a bug report, but I find it even worse not to give any answer to people who took the time te report and comment on the same bug report.

Is there any way to get some info on this situation? Many people have this problem, the proprietary driver is useless with gnome3. This one kills my pc in the long run (not a simple tiny bug) and now I have to stuck with xfce. Ubuntu guys please please please take our voice to the developers about this.

Chen Chen (aflyhorse) wrote :

put "echo dynpm > /sys/class/drm/card0/device/power_method" into the /etc/rc.d/rc.local is a simple workaround.
One of the developer of radeon responded me that the dynpm method may cause severe screen flick on some ATI cards while frequency changing, so the dynamic power manager is disabled as default in order to maintain stability. So you can test this command as root to find whether it causes problems on your laptop, and then put it into the start-up list for a permanent workaround or resolving.

Chen Chen (aflyhorse) wrote :

I'm sorry, the file may also live as "/etc/init.d/rc.local" or even simpler, "/etc/rc.local".
I confused the BSD-like system rc.d with Debian init.d.
Never mind, on most distribution the "/etc/rc.local" should work. it is either the every file itself, or a soft link to the correct configuration.

any progress on this?

i am getting the same problem (overheating) with a samsung e272 () as well as an acer aspire 7540G (mobility 4570) on archlinux with kernel 3.1.6 and latest git-snapshots of xf86-video-ati. furthermore, at least on archlinux the required procedure to use powersaving (setting power_profile to "low" using dynpm power_method) on these cards do not work either for various reasons (flickering, screen artifacts, all terms even tty* completely frozen).

what is required to get this one sorted out because it is simply not possible to use the open source graphics drivers with these two laptops.

i'll happily provide any information necessary.

sorry, forgot to write the ati card in the samsung e272 is a 4650.

i'm might just be adding noise, but this might also help some people...

** WARNING **

THIS CAN BREAK YOUR CARD
MY SETTINGS ARE FOR *MY* CARD, EACH CARD IS DIFFERENT
IF YOU DONT WANT TO LOSE YOUR PC, DONT EVEN TRY TO DO THIS!!
YOU HAVE BEEN WARNED!

** WARNING **

i found that my video card bios (HD2600xt, AGP, on a mid-tower) only had one power profile (high), no matter what profile i send to the /sys/class/drm/card0/device/power_profile, the /sys/kernel/debug/dri/0/radeon_pm_info stayed the same...

i tried to underclock the card with the rovclock, but it too old and doesnt support current chips...

after some research i found a windows util (sadly its windows only) that allow one to download the card bios and change the power profiles and re-upload that changed bios. It is a dangerous thing, one might brick the card with wrong settings, so i tested with one older card and tested all frequency settings in windows, using the amd/ati drivers overclock setting and all worked fine

so i tried in my main card and i backup my old firmware, prepare a boot floppy to restore it and start to change the profiles...i tried always small steps, with the low profile being the testing one and the default always the normal settings, so i could test in linux the switch between profiles and detect the problems, and fall back to the default with a simple cold boot

i keep the same boot settings (so less risk of breaking things), keep the max freq (800MHz @ 1.2V), but created a mid an lower profiles with less 1.1V and with the card running at 350MHz and 200MHz

with this changed, and running the low profile, i dropped the temperature from my card from about 80ºC to 59ºC and the card heatsink fan also run slower

of course, the card is also running slower, but i'm not using 3D and for 2D its fine. when i need more graphic power, i can manually change the power profile to high.

the url for that windows software is http://www.techpowerup.com/rbe/

now, this is a last thing we would want to do, but might help with broken card bios like mine, where the power profiles are broken or nonexistent and help people break free from the card builder settings.

also, it would be a lot better that someone created a new linux side under/overclock tool, specially using the radeon modules/drivers. Maybe this tool could help debuging and improving the power control of radeon cards in linux, but creating various profiles and comparing what changes between then.

with this maybe we could control the power profiles from linux, without messing with the card bios.

finally, and to compare, this same card, running in windows, without underclock runs idle at 53ºC and under heavy usage about 90ºC, so windows is clearly sending some type of IDLE command to the GPU that cuts power and heat usage. finding and using that GPU IDLE command would also help a lot solving this problem

again, this is dangerous, its not for everyone (you must understand how thing works and what are the risks) and requires a MS Windows usage. i have no idea if this works on laptops.

good luck
higuita

Sam_ (and-sam) on 2012-01-26
tags: added: precise

(In reply to comment #6)
> See the "KMS Power Management Options" section of this page:
> http://wiki.x.org/wiki/RadeonFeature

As written in https://bugs.freedesktop.org/show_bug.cgi?id=41762,
I have "Mobility Radeon HD3650", and as I understand it is based on R600 chipset.
The feature matrix on the RadeonFeature wiki page says all the power saving/management features are implemented for this card.

But power saving doesn't seem to work. The laptop overheats and shuts down before I even get to the LiveCD desktop/shell to be able to switch to the power_profile "low".

Do you know if this is an error on the wiki page, or a bug in the radeon driver?

(In reply to comment #17)
> (In reply to comment #6)
> > See the "KMS Power Management Options" section of this page:
> > http://wiki.x.org/wiki/RadeonFeature
>
> As written in https://bugs.freedesktop.org/show_bug.cgi?id=41762,
> I have "Mobility Radeon HD3650", and as I understand it is based on R600
> chipset.
> The feature matrix on the RadeonFeature wiki page says all the power
> saving/management features are implemented for this card.
>
> But power saving doesn't seem to work. The laptop overheats and shuts down
> before I even get to the LiveCD desktop/shell to be able to switch to the
> power_profile "low".
>
> Do you know if this is an error on the wiki page, or a bug in the radeon
> driver?

This problem seems to be specific to your system. Please make sure the heat sinks and fans are clear of dust and and that the acpi thermal zones for your system are working properly.

Hi!

The overheating of my HP Elitebook 8530p with Mobility Radeon HD 3650 video card has been bothering me for a while now, however, I've just been researching the issue today.

(In reply to comment #18)
>
> This problem seems to be specific to your system. Please make sure the heat
> sinks and fans are clear of dust and and that the acpi thermal zones for your
> system are working properly.

Alex, I can confirm this issue is not specific to his system.
I have the same laptop (HP Elitebook 8530p) with the same graphics card (Mobility Radeon HD 3650 video card - AMD RV635) and I'm also experiencing the same issues. I've also thought the issue is with the "dust carpet" around the heat fan/sink, but it is not the case. Since I bought the laptop in Nov 2008, I had to remove the dust around the heat fan/sink every half year to keep the laptop cool (the temperature dropped around 5 degrees Celsius after cleaning), so I know this could be an issue.

Only today, I managed to decrees the laptop's temperature by using the fix suggested by Pasi in bug #41762, namely switching the power_profile from "default" to "low":

[root@tlinux64 ~]# cat /sys/class/drm/card0/device/power_profile
default
[root@tlinux64 ~]# cat /sys/kernel/debug/dri/0/radeon_pm_info
default engine clock: 600000 kHz
current engine clock: 594000 kHz
default memory clock: 700000 kHz
current memory clock: 693000 kHz
voltage: 1100 mV
PCIE lanes: 16
[root@tlinux64 ~]# echo low > /sys/class/drm/card0/device/power_profile
[root@tlinux64 ~]# cat /sys/class/drm/card0/device/power_profile
low
[root@tlinux64 ~]# cat /sys/kernel/debug/dri/0/radeon_pm_info
default engine clock: 600000 kHz
current engine clock: 109680 kHz
default memory clock: 700000 kHz
current memory clock: 405000 kHz
voltage: 900 mV
PCIE lanes: 16
[root@tlinux64 ~]

As I commented in bug #41762, the system is around ~15 degrees colder now.

Alex, does this convince you that the issue is real and it should be worked on?

This bug was filed against a series that is no longer supported and so is being marked as Won't Fix. If this issue still exists in a supported series, please file a new bug.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: Triaged → Won't Fix

I've been regularly using:
echo low | sudo tee /sys/class/drm/card0/device/power_profile

I've am also using psensor to warn me if the temperature rises above 92°. When 'idle' the temperature is at about 80°. If the CPU is used (merely starting eclipse and letting all the the startup validation processes finish) it quickly rises to 88°. If the usages is sustained (rebuilding a java project) the temperature oscillates between 95° and 98°. If I do anything else that adds to the load (ie. if the temperature is >98° for short period of time), the system freezes, but the everything remains on, fans and CPU temperature stays up. I need to turn off the notebook by keeping the power button pressed.

Note that this system overheats /with/ the low power profile.

Here are some general stats about this system, please let me know, if I can provide further information:

HP Presario CQ61 320eg
AMD Turion(tm) II Dual-Core Mobile M500
01:00.0 VGA compatible controller: Advanced Micro Devices [AMD] nee ATI RV710 [Mobility Radeon HD 4300 Series] (prog-if 00 [VGA controller])
Linux schiefer 3.2.0-33-generic #52-Ubuntu SMP Thu Oct 18 16:29:15 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux
ayers@schiefer:~$ lsmod|grep rad
radeon 804503 2
ttm 76949 1 radeon
drm_kms_helper 46978 1 radeon
drm 241921 4 radeon,ttm,drm_kms_helper
i2c_algo_bit 13423 1 radeon

This started after the upgrading from Maverick. I'm currently running Precise with the 2D Unity desktop.

Same situation on my Lenovo T500 Notebook with the following card:
01:00.0 VGA compatible controller: Advanced Micro Devices [AMD] nee ATI RV635 [Mobility Radeon HD 3650]
If my Notebook is in IDLE-state the temperature stays about 75° and I hear the noise of the fan nearly all the time. Heavy load increases temp to over 90° and it will shutdown due to the overheating limits of kernel.
My workaround is switching to intel hd graphics in bios because setting power profile to low seems to be slower than using the integrated graphics adapter. Thats obviously no real solution because I want to use the full power of the ati graphics card without switching to fglrx driver.

I have the same issue with a Lenovo Thinkpad Edge 13.

robi@edge:~$ lspci|grep VGA
01:05.0 VGA compatible controller: Advanced Micro Devices [AMD] nee ATI RS880M [Mobility Radeon HD 4200 Series]

Also there seem to be other reports of the same issue: bug #41234, #41762, #50327, #52001, and #54791.

Yes, I have the same problem on Asus laptop with Mobility Radeon HD 3200 video. Operation system - Ubuntu 12.10

hi there,

i have the same problem with my Asus laptop, X5DAF, AMD Turion II @ 2.30 GHz, 4 GB RAM

elhoir@elhoir-laptop:~$ lspci | grep VGA
01:00.0 VGA compatible controller: Advanced Micro Devices [AMD] nee ATI RV710 [Mobility Radeon HD 4500/5100 Series]
elhoir@elhoir-laptop:~$

On my HP laptop I'm also using:
echo low | sudo tee /sys/class/drm/card0/device/power_profile

Luckily, it doesn't have any negative side effects for me ( I know some other have).
My fan's speeds, that gkrellm reports are:
0, 50, 70, 80 100 %

If I don't set the power_profile to low, my fan usually spins at 80%, few seconds after I set it to low, the far spins down to 70%.

Not a bad start, but I was able to make it better:
WARNING: this will require you to remove the heat sink and fan and probably will VOID your warranty!!!

I bought some "Arctic Silver 5 Thermal Compound" with the cleaning kit (~$10) and replaced the existing thermal compound. Do NOT over use it!
The heat issue kept getting better and now - after couple of month - from cold boot my laptop's fan completely turns off after the initial spin on the BIOS screen and it stays off for 8-9 minutes.

Also, during every day use the fan spins at 50% vs. 70% as it used to.

I have had this problem for years and it is the sole reason I had used the proprietary ATI driver.

Unfortunately new versions of the ATI drivers don't support my card anymore (Radeon HD 4670) so I am kind of waiting for a fix on the open source driver side ...

If you don't want to trouble yourself too much I guess there are two options. One is to use an older linux distro such as Ubuntu 12.04 or Debian 6 (CentOS 6 might fit as well). Another take is to go for something quite up-to-date such as Arch linux (help, wiki are great there) and hope for a fix to be released soon ...

Same situation here with ATi Radeon 4670 card. But I had installed the last supported version of proprietary driver which after some tweaks worked on Ubuntu 12.10.

I can confirm this bug also on my card:
Ati Mobility radeon HD 4500, RV710

I always had overheating problems with the opensource driver, so I used the binary driver from ATI.

Actually with the latest updates the ati-closed-driver doesn't work anymore also on ubuntu 12.04

So the only solution is to install the old LTS from Ubuntu or debian stable.

I can provide additional information about my hardware and my issue.

This bug was around from a lot of time right now and is potentially harmful about the hardware.

Can be possible to correct the bug (at least initially) forcing the driver to "low" profile? it will be less responsive but at least it will be safe to use.

Changed in xserver-xorg-driver-ati:
importance: Critical → High

@aleritty, unfortunately, setting the profile to "low" does not always work. On my laptop this results in severe graphic corruption.

Julien Olivier (julo) wrote :

From lspci:
01:05.0 VGA compatible controller: Advanced Micro Devices [AMD] nee ATI RS880M [Mobility Radeon HD 4200 Series]

My ATI Radeon video card, with the GPL driver, is very noisy despite using the "low" profile, and the temperature is sitting at about 60°C. It is, however, much less noisy (and colder) than with the default profile.

Is it normal to have a noisy fan with 60°C? Or is it a hardware problem?

madbiologist (me-again) wrote :

Julien - check for dust and remove if necessary. Fan quality (and hence noise) can vary between OEM's.

Julien Olivier (julo) wrote :

madbiologist: the fan is clean, so I guess it's just bad quality fan :( Thanks anyway.

basos (basos-g) wrote :

@skiss and others

Apart from power_profile did you also set the power_method ??

RD_PROFILE="mid"
RD_METHOD="profile"
RDSYS="/sys/class/drm/card0/device"

  echo $RD_METHOD >$RDSYS/power_method
  echo $RD_PROFILE >$RDSYS/power_profile

I've frying my laptop since more than a year with this shit. Default pm sucks a big time and kernel devs should, maybe default to mid ? I don't know about compatibility. But if you don't have a GPU temp sensor available, like me, then....

My Card
RV710 [Mobility Radeon HD 4300/4500 Series]
It's actually HD 5450v as reported on windows.

Lee Donaghy (lee295012-gmail) wrote :

According to a post on on Phoronix, better power management but waiting to be signed off by AMD.

http://phoronix.com/forums/showthread.php?70145-Does-anyone-know-when-OpenSource-ATI-GPUs-power-options-are-fixed&p=328836#post328836

Sandor Kiss (skiss) wrote :

@basos:
I only set the power_profile. The /sys/class/drm/card0/device/power_method has the value of "profile".
My laptop luckily had temperature sensors, but I had to guess which sensor was the GPU sensor (the one that reacted the most and quickest when I changed the the power_profile settings).
BTW, my card is: ATI Mobility Radeon X1600

razor (razorxpress) wrote :

My solution has always been to run "echo OFF > /sys/kernel/debug/vgaswitcheroo/switch" after a clean installation and later add it to /etc/rc.local. I definitely one a better solution.

papukaija (papukaija) wrote :

Could someone please open the linux task? Thanks.

I didn't get to test the Radeon driver much (stuck with fglrx due to an issue) but one of the things that bothered me is the lack of a properly adjusted fan speed. I fully support a dynamic system of adjustment.

At least with 7.0.0, the fan speed is constantly slow with the "low" profile and constantly fast with the "high" profile. Regardless of what the card is doing, how much it's heated, or how hard it's working.

My suggestion is to adjust fan speed (within a minimum and maximum range) either based on GPU / VRAM frequencies or based on card temperature when a temp sensor is available. This would be most useful with the dynpm method, so fan speed is only set to maximum when you play a game and matches the requirement.

Proper power management for AMD/ATI Radeon R600 and newer hardware is finally available in the upstream 3.11 linux kernel. The first release candidate (3.11-rc1) of the 3.11 kernel is available at http://kernel.ubuntu.com/~kernel-ppa/mainline/ and instructions on how to install and uninstall it are available at https://wiki.ubuntu.com/Kernel/MainlineBuilds

To use this power management for the AMD/ATI Radeon you will need to select it at boot by adding radeon.dpm=1 to your GRUB kernel boot options as described at https://help.ubuntu.com/community/Grub2/Troubleshooting#Editing_the_GRUB_2_Menu_During_Boot

Better power management for AMD/ATI Radeon R600 and newer hardware is finally available in the upstream 3.11 linux kernel.

For people using Ubuntu, the first release candidate (3.11-rc1) of the 3.11 kernel is available at http://kernel.ubuntu.com/~kernel-ppa/mainline/ and instructions on how to install and uninstall it are available at https://wiki.ubuntu.com/Kernel/MainlineBuilds

Fedora users can get the 3.11-rc1 kernel from Rawhide at http://mirrors.fedoraproject.org/publiclist/Fedora/development/
For more information about using Rawhide, see https://fedoraproject.org/wiki/Releases/Rawhide?rd=Rawhide

Users of other Linux distributions will need to obtain the 3.11 kernel by other means.

For now, to use this power management for the AMD/ATI Radeon you will need to select it at boot by adding radeon.dpm=1 to your GRUB kernel boot options as described at https://help.ubuntu.com/community/Grub2/Troubleshooting#Editing_the_GRUB_2_Menu_During_Boot

Good news indeed. Will openSUSE 13.1 have the kernel with this feature? Also, is this going to be defaulted, or will we have to manually add the GRUB parameter?

Also, what exactly does this new feature do? Does it add adaptive fan speed and / or better GPU frequency selection (though that's already possible via dynpm)?

For further information see my blog post:
http://www.botchco.com/agd5f/?p=57

Thanks Alex.

I also note that at http://phoronix.com/forums/showthread.php?81666-AMD-Has-Massive-Radeon-Patch-Set-Power-Management!&p=338745#post338745 you said "DPM works fine with multiple monitors." which is great given that http://wiki.x.org/wiki/RadeonFeature/#index3h2 says that the older "dynpm" method only works when a single head is active. I presume that this also means that there is no/much less possibility of flicker on a single display configuration with DPM than with dynpm?

Regarding openSUSE 13.1, all I know is that Milestone 1 had the 3.9 kernel and Milestone 2 has the 3.10-rc4 kernel, and that the final release is scheduled for November (or Movember if you are planning to grow a moustache to raise money for mens health charities).

Yes, it works with multiple monitors and there shouldn't be any flickering as the performance level changes are handled by dedicated hardware rather than the driver.

summary: - ATI card fan is always on with opensource radeon driver
+ 1002:9612 [HP Pavilion tx2500 Notebook PC] ATI card fan is always on
+ with opensource radeon driver
Jan Niklas Hasse (jhasse) wrote :

This is not only the HP Pavilion tx2500 Notebook PC. I'm also having this issue and I'm running a Powercolor HD 5770.

madbiologist (me-again) wrote :

Ubuntu 13.10 "Saucy Salamander" is based on the 3.11 kernel and includes the necessary updated radeon firmware as well. On Saucy, to use this power management for the AMD/ATI Radeon you will need to select it at boot by adding radeon.dpm=1 to your GRUB kernel boot options as described at https://help.ubuntu.com/community/Grub2/Troubleshooting#Editing_the_GRUB_2_Menu_During_Boot

The currently under-development Ubuntu 14.04 "Trusty Tahr" is based on the 3.13 kernel which enables DPM by default (without needing the radeon.dpm=1 boot parameter I mentioned above) for Radeon HD 4000 through Radeon HD 7000 series graphics processors but with some specific ASICs being excluded. You can download a pre-release version at http://cdimage.ubuntu.com/daily-live/current/ and the final release is scheduled for April 17th, 2014 as per https://wiki.ubuntu.com/TrustyTahr/ReleaseSchedule

David Ayers (ayers) wrote :

Thank you for the update!

Would this power management update also be available for:
Ubuntu 12.04 LTS with the linux-image-generic-lts-saucy package which depends on linux-image-3.11.0-15-generic when grub is configured as described for 13.10?

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions

Remote bug watches

Bug watches keep track of this bug in other bug trackers.